# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


def existing_groups(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    KFetGroup = apps.get_model('kfetauth', 'Group')

    for group in Group.objects.filter(name__icontains='K-Fêt'):
        kf_group = KFetGroup(group_ptr=group, pk=group.pk, name=group.name)
        kf_group.save()


class Migration(migrations.Migration):
    """
    Data migration.

    Previously, K-Fêt groups were identified with the presence of 'K-Fêt' in
    their name.
    """

    dependencies = [
        ('kfetauth', '0002_create_group_permission_models'),
        ('auth', '0006_require_contenttypes_0002'),
    ]

    operations = [
        migrations.RunPython(existing_groups),
    ]
