# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('kfet', '0061_add_perms_config'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='account',
            options={
                'permissions': (
                    ('is_team', "Membre de l'équipe"),
                    ('manage_addcosts', 'Gérer les majorations'),
                    (
                        'edit_balance_account',
                        "Modifier la balance d'un compte"
                    ),
                    (
                        'change_account_password',
                        "Modifier le mot de passe d'une personne de l'équipe"
                    ),
                    (
                        'special_add_account',
                        'Créer un compte avec une balance initiale'
                    ),
                    ('can_force_close', 'Fermer manuellement la K-Fêt')
                ),
                'default_permissions': ('add', 'change'),
                'verbose_name_plural': 'Comptes',
                'verbose_name': 'Compte',
            },
        ),
        migrations.AlterModelOptions(
            name='accountnegative',
            options={
                'default_permissions': ('view', 'change',),
                'verbose_name_plural': 'Comptes en négatif',
                'verbose_name': 'Compte en négatif',
            },
        ),
        migrations.AlterModelOptions(
            name='article',
            options={
                'default_permissions': ('add', 'change'),
                'verbose_name_plural': 'Articles',
                'verbose_name': 'Article',
            },
        ),
        migrations.AlterModelOptions(
            name='articlecategory',
            options={
                'default_permissions': ('change',),
                'verbose_name_plural': "Catégories d'articles",
                'verbose_name': "Catégorie d'articles",
            },
        ),
        migrations.AlterModelOptions(
            name='articlerule',
            options={
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='checkout',
            options={
                'default_permissions': ('add', 'change'),
                'ordering': ['-valid_to'],
                'verbose_name_plural': 'Caisses',
                'verbose_name': 'Caisse',
            },
        ),
        migrations.AlterModelOptions(
            name='checkoutstatement',
            options={
                'default_permissions': ('add', 'change'),
                'verbose_name_plural': 'Relevés de caisses',
                'verbose_name': 'Relevé de caisse',
            },
        ),
        migrations.AlterModelOptions(
            name='checkouttransfer',
            options={
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='inventory',
            options={
                'permissions': (
                    (
                        'order_to_inventory',
                        "Générer un inventaire à partir d'une commande"
                    ),
                ),
                'ordering': ['-at'],
                'verbose_name_plural': 'Inventaires',
                'default_permissions': ('add',),
                'verbose_name': 'Inventaire',
            },
        ),
        migrations.AlterModelOptions(
            name='inventoryarticle',
            options={
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='operation',
            options={
                'permissions': (
                    ('perform_deposit', 'Effectuer une charge'),
                    (
                        'perform_negative_operations',
                        'Enregistrer des commandes en négatif'
                    ),
                    (
                        'override_frozen_protection',
                        "Forcer le gel d'un compte"
                    ),
                    (
                        'cancel_old_operations',
                        'Annuler des commandes non récentes'
                    ),
                    (
                        'perform_commented_operations',
                        'Enregistrer des commandes avec commentaires'
                    ),
                ),
                'default_permissions': (),
                'verbose_name_plural': 'Opérations',
                'verbose_name': 'Opération',
            },
        ),
        migrations.AlterModelOptions(
            name='operationgroup',
            options={
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='order',
            options={
                'default_permissions': ('add',),
                'ordering': ['-at'],
                'verbose_name_plural': 'Commandes',
                'verbose_name': 'Commande',
            },
        ),
        migrations.AlterModelOptions(
            name='orderarticle',
            options={
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='supplier',
            options={
                'default_permissions': ('change',),
                'verbose_name_plural': 'Fournisseurs',
                'verbose_name': 'Fournisseur',
            },
        ),
        migrations.AlterModelOptions(
            name='supplierarticle',
            options={
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='transfer',
            options={
                'default_permissions': ('add',),
                'verbose_name_plural': 'Transferts',
                'verbose_name': 'Transfert',
            },
        ),
        migrations.AlterModelOptions(
            name='transfergroup',
            options={
                'default_permissions': (),
            },
        ),
    ]
